package org.dromara.pay.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.pay.domain.bo.PayChannelBo;
import org.dromara.pay.domain.vo.PayChannelVo;
import java.util.Collection;
import java.util.List;

/**
 * 支付渠道Service接口
 *
 * @author pengles
 */
public interface PayChannelService {

    /**
     * 查询支付渠道
     */
    PayChannelVo queryById(Long id);

    /**
     * 查询支付渠道列表
     */
    TableDataInfo<PayChannelVo> queryPageList(PayChannelBo bo, PageQuery pageQuery);

    /**
     * 查询支付渠道列表
     */
    List<PayChannelVo> queryList(PayChannelBo bo);

    /**
     * 新增支付渠道
     */
    Boolean insertByBo(PayChannelBo bo);

    /**
     * 修改支付渠道
     */
    Boolean updateByBo(PayChannelBo bo);

    /**
     * 校验并批量删除支付渠道信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
